<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="1dp"
    android:paddingBottom="1dp"
    >

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/linearLayout"
            android:layout_width="match_parent"
            android:layout_height="70dp"
            android:background="@color/white"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textSlot"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="5dp"
                android:layout_weight="0.3"
                android:gravity="center"
                android:text="0"
                android:textSize="16sp"
                android:textStyle="bold"
                android:visibility="visible" />

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:paddingTop="5dp"
                android:paddingBottom="5dp"
                android:layout_weight="1">

                <ImageView
                    android:id="@+id/imageProductPicture"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:adjustViewBounds="true"
                    android:scaleType="fitCenter"
                    android:src="@drawable/default_product"
                    app:layout_constraintDimensionRatio="16:9" />
            </RelativeLayout>

            <TextView
                android:id="@+id/textProductName"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="5dp"
                android:layout_weight="3"
                android:gravity="center"
                android:text="@string/product_name"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/textCount"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.5"
                android:gravity="right|center"
                android:text="0"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:gravity="center"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="5dp"
                android:text="/"
                android:textSize="24sp"
                android:textStyle="bold" />

            <RelativeLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.5">

                <TextView
                    android:id="@+id/textQuantity"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="left|center"
                    android:text="0"
                    android:textSize="24sp"
                    android:textStyle="bold" />
            </RelativeLayout>

            <TextView
                android:id="@+id/textDelete"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_marginEnd="5dp"
                android:layout_weight="1"
                android:gravity="center"
                android:text="@string/delete"
                android:textSize="16sp"
                android:textStyle="bold"
                android:visibility="gone" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="1dp"
            android:background="@color/white"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/textDispatchStatus"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginEnd="10dp"
                android:gravity="center"
                android:layout_weight="2"
                android:text="@string/shipping_status"
                android:textSize="24sp"/>
        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>